<?php
#include("../../includes/session.php");
include("../../includes/db.php");
//die("test taglie");
#session(1);

function cleanDB($str){
	return trim(addslashes($str));	
}
function parseAnagr($str){
	$str = cleanDB($str);
	$space_pos = strpos($str,"   ");
	$str = $space_pos > 0 ? substr($str,0,$space_pos) : $str;
	return $str;
}
function data($date){
	$date = trim($date);
	
	//formato, da aaaammgg a gg/mm/aaaa	
	if(strlen($date) == 8){
		$gg = substr($date,6,2);
		$mm = substr($date,4,2);
		$aaaa = substr($date,0,4);
		$data = $aaaa.'-'.$mm.'-'.$gg;
	}else{
		$data = '0000-00-00';
	}
	return $data;
}

//unzip file
//exec("unzip -P progetto -o -u -d ../../../txtimport/ ../../../txtimport/txt.zip");

//memorizzo dati lavoratori
$result = mysql_query("SELECT *, lavoratori.blocked AS lav_blocked, lavoratori_tgl.blocked AS tgl_blocked FROM lavoratori LEFT JOIN lavoratori_tgl ON lavoratori.lav_cod = lavoratori_tgl.lav_cod");
while($row = mysql_fetch_array($result)){
	$lav_cod = $row['lav_cod'];
	$arrLavoratori[$lav_cod]["imp_cod"] = $row['imp_cod'];
	$arrLavoratori[$lav_cod]["pos_id"] = $row['pos_id'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_est"] = $row['lavtgl_giacca_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_inv"] = $row['lavtgl_giacca_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_est"] = $row['lavtgl_pant_est'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_inv"] = $row['lavtgl_pant_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_est"] = $row['lavtgl_giub_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_inv"] = $row['lavtgl_giub_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_est"] = $row['lavtgl_scarp_est'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_inv"] = $row['lavtgl_scarp_inv'];
	$arrLavoratori[$lav_cod]["lav_abb"] = $row['lav_abb'];
	$arrLavoratori[$lav_cod]["lav_blocked"] = $row['lav_blocked'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
}

//memorizzo dati imprese
$result = mysql_query("SELECT * FROM imprese");
while($row = mysql_fetch_array($result)){
	$imp_cod = $row['imp_cod'];
	$arrImprese[$imp_cod]["imp_indirizzo"] = $row['imp_indirizzo'];
	$arrImprese[$imp_cod]["imp_citta"] = $row['imp_citta'];
	$arrImprese[$imp_cod]["imp_cap"] = $row['imp_cap'];
	$arrImprese[$imp_cod]["imp_prov"] = $row['imp_prov'];
	$arrImprese[$imp_cod]["blocked"] = $row['blocked'];
}


/*
CEAZI00P.txt - imprese
cedip00f.txt - dipendenti
CEDI100F.txt - taglie
*/


//taglie
$fpath = "../../../txtimport_test/CEDI100F_test.txt";
if(is_file($fpath)){
	
	$handle = fopen($fpath, "r");
	if ($handle) {
		while(!feof($handle)){
			
			$line = fgets($handle,4096);
            echo $line; echo "<br>";
            
			$annullato = substr($line, 0, 1) == 'C' ? 1 : 0;
			$lav_cod = intval(substr($line, 1, 5));
			$lavoro_id = intval(substr($line, 6, 2));
			$lavtgl_giacca_est = intval(substr($line, 9, 2));
			$lavtgl_pant_est = intval(substr($line, 12, 2));
			$lavtgl_giub_est = intval(substr($line, 15, 2));
			$lavtgl_scarp_est = intval(substr($line, 18, 2));
			$lavtgl_giacca_inv = intval(substr($line, 21, 2));
			$lavtgl_pant_inv = intval(substr($line, 24, 2));
			$lavtgl_giub_inv = intval(substr($line, 27, 2));
			$lavtgl_scarp_inv = intval(substr($line, 30, 2));
            
            if($lav_cod > 0){
                echo "annullato: " . $annullato; echo "<br>";
                echo "lav_cod: " . $lav_cod; echo "<br>";
                echo "lavoro_id: " . $lavoro_id; echo "<br>";
                echo "lavtgl_giacca_est: " . $lavtgl_giacca_est; echo "<br>";
                echo "lavtgl_pant_est: " . $lavtgl_pant_est; echo "<br>";
                echo "lavtgl_giub_est: " . $lavtgl_giub_est; echo "<br>";
                echo "lavtgl_scarp_est: " . $lavtgl_scarp_est; echo "<br>";
                echo "lavtgl_giacca_inv: " . $lavtgl_giacca_inv; echo "<br>";
                echo "lavtgl_pant_inv: " . $lavtgl_pant_inv; echo "<br>";
                echo "lavtgl_giub_inv: " . $lavtgl_giub_inv; echo "<br>";
                echo "lavtgl_scarp_inv: " . $lavtgl_scarp_inv; echo "<br>";
            }
            
            echo "<br><br>";						

			//if($lav_cod > 0){
			//	
			//	if(!$arrLavoratori[$lav_cod]){
			//	
			//		mysql_query( 
			//		"INSERT INTO lavoratori_tgl (lav_cod,lavtgl_annullato,lavoro_id,lavtgl_giacca_est,lavtgl_giacca_inv,lavtgl_pant_est,lavtgl_pant_inv,lavtgl_giub_est,lavtgl_giub_inv,lavtgl_scarp_est,lavtgl_scarp_inv) VALUES (
			//		'" . $lav_cod. "',	 
			//		'" . $annullato. "',	 
			//		'" . $lavoro_id. "',
			//		'" . $lavtgl_giacca_est. "',
			//		'" . $lavtgl_giacca_inv. "',
			//		'" . $lavtgl_pant_est. "',
			//		'" . $lavtgl_pant_inv. "',
			//		'" . $lavtgl_giub_est. "',
			//		'" . $lavtgl_giub_inv. "',
			//		'" . $lavtgl_scarp_est. "',
			//		'" . $lavtgl_scarp_inv. "')");
			//	
			//	}else{
            //
			//		//faccio l'update delle taglie solo se non è bloccato
			//		if(isset($arrLavoratori[$lav_cod]["tgl_blocked"]) && $arrLavoratori[$lav_cod]["tgl_blocked"] != ""){
			//			
			//			mysql_query("UPDATE lavoratori_tgl SET
			//				lavtgl_annullato = '" . $annullato. "',
			//				lavoro_id = " . $lavoro_id. ",
			//				lavtgl_giacca_est = " . $lavtgl_giacca_est. ",
			//				lavtgl_giacca_inv = " . $lavtgl_giacca_inv. ",
			//				lavtgl_pant_est = " . $lavtgl_pant_est. ",
			//				lavtgl_pant_inv = " . $lavtgl_pant_inv. ",
			//				lavtgl_giub_est = " . $lavtgl_giub_est. ",
			//				lavtgl_giub_inv = " . $lavtgl_giub_inv. ",
			//				lavtgl_scarp_est = " . $lavtgl_scarp_est. ",
			//				lavtgl_scarp_inv = " . $lavtgl_scarp_inv. "
			//				WHERE lav_cod = ".$lav_cod);	
            //
			//		//se è bloccato, e i campi di AS sono uguali a quelli online (quindi hanno aggiornato anche su AS) lo sblocco e faccio update solo di anullato
			//		}else{
			//			
			//			if(
			//				$arrLavoratori[$lav_cod]["lavoro_id"] == $lavoro_id &&
			//				$arrLavoratori[$lav_cod]["lavtgl_giacca_est"] == $lavtgl_giacca_est &&
			//				$arrLavoratori[$lav_cod]["lavtgl_giacca_inv"] == $lavtgl_giacca_inv &&
			//				$arrLavoratori[$lav_cod]["lavtgl_pant_est"] == $lavtgl_pant_est &&
			//				$arrLavoratori[$lav_cod]["lavtgl_pant_inv"] == $lavtgl_pant_inv &&
			//				$arrLavoratori[$lav_cod]["lavtgl_giub_est"] == $lavtgl_giub_est &&
			//				$arrLavoratori[$lav_cod]["lavtgl_giub_inv"] == $lavtgl_giub_inv &&
			//				$arrLavoratori[$lav_cod]["lavtgl_scarp_est"] == $lavtgl_scarp_est &&
			//				$arrLavoratori[$lav_cod]["lavtgl_scarp_inv"] == $lavtgl_scarp_inv
			//			)
			//				$blocked = 0;
			//			else
			//				$blocked = 1;
			//			
			//			mysql_query("UPDATE lavoratori_tgl SET lavtgl_annullato = '" . $annullato. "', blocked = ".$blocked." WHERE lav_cod = ".$lav_cod);
			//		}
			//		
			//	
			//		if(mysql_error() <> '')
			//			die(mysql_error());
			//	}
			//}
		}
		
		fclose($handle);
		
	}
}
?>